Bug 1792281 - Review Request: php-laminas-zendframework-bridge - Alias legacy ZF class names to Laminas Project equivalents
Summary: Review Request: php-laminas-zendframework-bridge - Alias legacy ZF class name...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1792461 1794320 1792291 1792293 1792297 1792299 1792305 1792306 1792308 1792310 1792312 1792313 1792315 1792350 1792351 1792352 1792353 1792354 1792355 1792356 1792357 1792358 1792364 1792368 1792369 1792372 1792383 1792385 1792387 1792389 1792391 1792394 1792396 1792397 1792398 1792400 1792401 1792402 1792403 1792404 1792406 1792407 1792408 1792410 1792412 1792413 1792415 1792426 1792427 1792428 1792429 1792430 1792432 1792433 1792434 1792436 1792439 1792441 1792444 1792445 1792449 1792450 1792451 1792452 1792455 1792456 1792458 1792459 1792460
TreeView+ depends on / blocked
 
Reported: 2020-01-17 13:23 UTC by Remi Collet
Modified: 2020-01-23 14:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 14:23:48 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 13:23:16 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-zendframework-bridge.git/plain/php-laminas-zendframework-bridge.spec?id=20709561b72ab796a6887eaa56e178179db73181
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-zendframework-bridge-1.0.1-3.remi.src.rpm
Description: 
This library provides a custom autoloader that aliases legacy
Zend Framework, Apigility, and Expressive classes to their
replacements under the Laminas Project.


Fedora Account System Username: remi


This is first packages of the php-laminas serie

This is the only really new one, it provides a compatibility layer for pacckages using the Zend Framework to be able to use Laminas components.

All the work is ready and will be submit shortly
https://git.remirepo.net/cgit/?q=laminas

All other packages are mostly renamed of ZF one

Each component provides 2 autoloader:

- Laminas/Foo/autoload.php for Laminas stack
- Zend/Foo/autoload which includes this compatibility layer for Zend stack

Various packages using ZF have been tested against Laminas component (including ZF component and GLPI)

Comment 1 Remi Collet 2020-01-18 07:21:43 UTC
Build order (and thus review order) is:

#1792281: php-laminas-zendframework-bridge - Alias legacy ZF class names to Laminas Project equivalents
#1792291: php-laminas-stdlib - Laminas Framework Stdlib component
#1792293: php-laminas-escaper - Laminas Framework Escaper component 
#1792297: php-laminas-math - Laminas Framework Math component
#1792299: php-laminas-i18n-resources - Laminas Framework Translator component
#1792305: php-laminas-json - Laminas Framework Json component 
#1792306: php-laminas-eventmanager - Trigger and listen to events within a PHP application
#1792308: php-laminas-code - Laminas Framework Code component 
#1792310: php-laminas-servicemanager - Laminas Framework ServiceManager component
#1792312: php-laminas-serializer - Laminas Framework Serializer component 
#1792313: php-laminas-crypt - Laminas Framework Crypt component 
#1792315: php-laminas-di - Laminas Framework Di component 
#1792350: php-laminas-dom - Laminas Framework Dom component
#1792351: php-laminas-diactoros - PSR HTTP Message implementations
#1792352: php-laminas-xml - Laminas Framework Xml component
#1792353: php-laminas-loader - Laminas Framework Loader component 
#1792354: php-laminas-server - Laminas Framework Server component
#1792355: php-laminas-tag - Laminas Framework Tag component
#1792356: php-laminas-xml2json - Provides functionality for converting XML to JSON
#1792357: php-laminas-cache - Laminas Framework Cache component 
#1792358: php-laminas-i18n - Laminas Framework I18n component
#1792364: php-laminas-memory - Laminas Framework Memory component
#1792368: php-laminas-servicemanager-di - Laminas Framework ServiceManager-Di component 
#1792369: php-laminas-validator - Laminas Framework Validator component
#1792372: php-laminas-uri - Laminas Framework Uri component
#1792383: php-laminas-filter - Laminas Framework Filter component 
#1792385: php-laminas-config - Laminas Framework Config component
#1792387: php-laminas-mime - Laminas Framework Mime component
#1792389: php-laminas-mail - Laminas Framework Mail component 
#1792391: php-laminas-console - Laminas Framework Console component
#1792394: php-laminas-inputfilter - Laminas Framework InputFilter component 
#1792396: php-laminas-barcode - Laminas Framework Barcode component
#1792397: php-laminas-http - Laminas Framework Http component 
#1792398: php-laminas-ldap - Laminas Framework Ldap component
#1792400: php-laminas-hydrator - Laminas Framework Hydrator component
#1792401: php-laminas-text - Laminas Framework Text component
#1792402: php-laminas-stratigility - Middleware for PHP
#1792403: php-laminas-json-server - Laminas Json-Server is a JSON-RPC server implementation
#1792404: php-laminas-psr7bridge - Laminas Framework Psr7Bridge component 
#1792406: php-laminas-router - Laminas Framework Router component 
#1792407: php-laminas-recaptcha - Laminas Framework ReCaptcha component
#1792408: php-laminas-soap - Laminas Framework Soap component 
#1792410: php-laminas-xmlrpc - Laminas Framework XmlRpc component 
#1792412: php-laminas-db - Laminas Framework Db component
#1792413: php-laminas-feed - Laminas Framework Feed component 
#1792415: php-laminas-session - Laminas Framework Session component
#1792426: php-laminas-authentication - Laminas Framework Authentication component
#1792427: php-laminas-captcha - Laminas Framework Captcha component 
#1792428: php-laminas-progressbar - Laminas Framework ProgressBar component 
#1792429: php-laminas-permissions-rbac - Laminas Framework Permissions/Rbac component 
#1792430: php-laminas-permissions-acl - aminas Framework Permissions/Acl component
#1792432: php-laminas-mvc-i18n - Laminas Framework Mvc/I18n component 
#1792433: php-laminas-file - Laminas Framework File component
#1792434: php-laminas-log - Laminas Framework Log component 
#1792436: php-laminas-modulemanager - Laminas Framework ModuleManager component
#1792439: php-laminas-view - Laminas Framework View component
#1792441: php-laminas-form - Laminas Framework Form component 
#1792444: php-laminas-mvc - Laminas Framework Mvc component
#1792445: php-laminas-paginator - Laminas Framework Paginator component 
#1792449: php-laminas-mvc-form - Laminas Framework Mvc/Form component 
#1792450: php-laminas-mvc-console - Laminas Framework Mvc/Console component 
#1792451: php-laminas-mvc-plugin-fileprg - Laminas Framework Mvc/Plugin/FilePrg component
#1792452: php-laminas-mvc-plugin-flashmessenger - Laminas Framework Mvc/Plugin/FlashMessenger component
#1792455: php-laminas-mvc-plugin-identity - Laminas Framework Mvc/Plugin/Identity component
#1792456: php-laminas-mvc-plugin-prg - Laminas Framework Mvc/Plugin/Prg component
#1792458: php-laminas-mvc-plugins - Laminas Framework Mvc/Plugin component
#1792459: php-laminas-navigation - Laminas Framework Navigation component
#1792460: php-laminas-test - Laminas Framework Test component
#1792461: php-laminas-diagnostics - A set of components for performing diagnostic tests


Some packages need "bootstrap" build, because of circular dep:
   cache, i18n, validator, mime, modulemanager and view
but even, partial test suite is run during the build
normal build will be enabled when the full stack will be available

Comment 2 Robert-André Mauchin 2020-01-22 17:34:39 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 3 Robert-André Mauchin 2020-01-22 23:10:11 UTC
Half done, will continue another day.

Comment 4 Gwyn Ciesla 2020-01-23 14:03:07 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-zendframework-bridge

Comment 5 Remi Collet 2020-01-23 14:23:48 UTC
Thanks for the multiple reviews

Package built in rawhide (only, no plan for stable branches)


Note You need to log in before you can comment on or make changes to this bug.